All Data Structures Namespaces Files Functions Groups Pages
eccodes::codes_get_size Interface Reference

Get the size of an array key. More...

## Public Member Functions

subroutine | codes_get_size_int (msgid, key, size, status)
| Get the size of an array key. More...
subroutine | codes_get_size_long (msgid, key, size, status)
| Get the size of an array key. More...

## Detailed Description

Get the size of an array key.

To get the size of a key representing an array.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Parameters

  gribid | id of the grib loaded in memory
  key | name of the key
  size | size of the array key
  status | CODES_SUCCESS if OK, integer value on error

## Member Function/Subroutine Documentation

subroutine codes_get_size_int | ( | integer(kind=kindofint), intent(in) | msgid,
|  | character(len=*), intent(in) | key,
|  | integer(kind=kindofint), intent(out) | size,
|  | integer(kind=kindofint), intent(out), optional | status
| ) |  |

Get the size of an array key.

To get the size of a key representing an array.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Parameters

  msgid | id of the message loaded in memory
  key | name of the key
  size | size of the array key
  status | CODES_SUCCESS if OK, integer value on error

subroutine codes_get_size_long | ( | integer(kind=kindofint), intent(in) | msgid,
|  | character(len=*), intent(in) | key,
|  | integer(kind=kindoflong), intent(out) | size,
|  | integer(kind=kindofint), intent(out), optional | status
| ) |  |

Get the size of an array key.

To get the size of a key representing an array.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Parameters

  msgid | id of the message loaded in memory
  key | name of the key
  size | size of the array key
  status | CODES_SUCCESS if OK, integer value on error

The documentation for this interface was generated from the following file:

- eccodes_f90.f90